{% extends 'base.html.twig' %}
{% from 'forum/_list_macros.html.twig' import forum_list_tabs %}

{% block site_nav_active 'places' %}
{% block site_nav_main_menu_active 'forums' %}

{% block title %}
  {{ 'forum_list.page_title'|trans }}
{% endblock %}

{% block body %}
  <h1 class="page-heading">{{ 'forum_list.page_title'|trans }}</h1>

  <nav class="nav nav--guttered forum-list-view-selector">
    {{ forum_list_tabs() }}
  </nav>

  <ul class="grouped-forum-listing">
    {% for category in forum_categories %}
      <li class="forum-group">
        <h1 class="forum-group-heading">
          <a href="{{ path('forum_category', {name: category.name}) }}" title="{{ category.description }}">
            {{- category.title -}}
          </a>
        </h1>

        <ul class="forum-group-list">
          {% for forum in category.forums %}
            <li class="forum-group-list-item">
              <a href="{{ path('forum', {forum_name: forum.name}) }}">{{ forum.name }}</a>
            </li>
          {% endfor %}
        </ul>
      </li>
    {% endfor %}

    {% if uncategorized_forums|length > 0 %}
      <li class="forum-group">
        <h1 class="forum-group-heading">{{ 'forum_list.uncategorized'|trans }}</h1>
        <ul class="forum-group-list">
          {% for forum in uncategorized_forums %}
            <li class="forum-group-list-item">
              <a href="{{ path('forum', {forum_name: forum.name}) }}">{{ forum.name }}</a>
            </li>
          {% endfor %}
        </ul>
      </li>
    {% endif %}
  </ul>
{% endblock %}
